org.eclipse.incquery.viewmodel.traceablilty.generic

## Class GenericTracedPQuery

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.queries.BasePQuery
  - - org.eclipse.incquery.runtime.api.impl.BaseGeneratedEMFPQuery
    - - org.eclipse.incquery.viewmodel.traceablilty.generic.GenericReferencedPQuery
      - - org.eclipse.incquery.viewmodel.traceablilty.generic.GenericTracedPQuery

- All Implemented Interfaces:
    PQuery, PQueryHeader

      public class GenericTracedPQuery
      extends GenericReferencedPQuery

  This PQuery class defines an extended query for the given referenced query with the additional trace object.

      pattern baseQuery<referenced><traced>(<base parameters>, <referenced parameters>, <trace>)

  Required to select matches based on the notification of the Trace object.
  Author:
    Csaba Debreceni

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.queries.PQuery

      `PQuery.PQueryStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TRACE_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericTracedPQuery(GenericReferencedPQuery referencedQuery)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFullyQualifiedName()` Identifies the pattern for which matchers can be instantiated.
    `void` | `setTraceabilityId(java.lang.String id)`

    - ### Methods inherited from class org.eclipse.incquery.viewmodel.traceablilty.generic.GenericReferencedPQuery

      `getParameters, getReferenceParameters, getReferenceSources, getTraceabilityId`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.queries.BasePQuery

      `checkMutability, ensureInitialized, ensureInitializedSneaky, getAllAnnotations, getAllReferredQueries, getAnnotationsByName, getDirectReferredQueries, getDisjunctBodies, getEvaluationHints, getFirstAnnotationByName, getParameterNames, getPositionOfParameter, getPProblems, getStatus, isMutable, publishedAs`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACE_PARAMETER

          public static final java.lang.String TRACE_PARAMETER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GenericTracedPQuery

          public GenericTracedPQuery(GenericReferencedPQuery referencedQuery)
                              throws QueryInitializationException

      Throws:
        `QueryInitializationException`

  - ### Method Detail

    - #### getFullyQualifiedName

          public java.lang.String getFullyQualifiedName()

      Description copied from interface: `PQueryHeader`
      Identifies the pattern for which matchers can be instantiated.
      Specified by:
        `getFullyQualifiedName` in interface `PQueryHeader`
      Overrides:
        `getFullyQualifiedName` in class `GenericReferencedPQuery`

    - #### setTraceabilityId

          public void setTraceabilityId(java.lang.String id)